Bug 1112648 - Robot_Control FTFBS
Summary: Robot_Control FTFBS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arduino
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-24 12:12 UTC by Miro Hrončok
Modified: 2016-01-07 10:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-07 10:24:33 UTC
Type: Bug


Attachments (Terms of Use)
Partial fix (2.08 KB, patch)
2014-06-24 12:12 UTC, Miro Hrončok
no flags Details | Diff

Description Miro Hrončok 2014-06-24 12:12:18 UTC
Created attachment 911703 [details]
Partial fix

Description of problem:
Compilation of Robot_Control fails when compiling a project.

Version-Release number of selected component (if applicable):
1.0.5-7.fc20 and rawhide as well

How reproducible:
When building Marlin in Copr. Also note, that this doesn't happen in mock and it behaves non-deterministic on Koji.

Steps to Reproduce:
1. Get a SRPM and build it via Copr: https://kojipkgs.fedoraproject.org/packages/ultimaker2-marlin-firmware/14.06.1/2.fc21/src/ultimaker2-marlin-firmware-14.06.1-2.fc21.src.rpm
2. Observe the build.log

Actual results:
Should build fine as in mock.

Expected results:
Does not.

Additional info:
Robot_Control is not needed by Marlin at all and something is weird to compile it. But if Marlin needed it, it would fail anyway - it doesn't work with current gcc.

It has some problems with variables not being const, but when I fix that with attached pacth, I end up with:

Robot_Control/Sensors.cpp
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp: In member function 'void RobotControl::analogWrite(uint8_t, uint8_t)':
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:47:11: error: 'TKD4' was not declared in this scope
  if(port==TKD4)
           ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp: In member function 'uint8_t RobotControl::_getTypeCode(uint8_t)':
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:64:8: error: 'TKD0' was not declared in this scope
   case TKD0:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:65:8: error: 'TKD1' was not declared in this scope
   case TKD1:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:66:8: error: 'TKD2' was not declared in this scope
   case TKD2:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:67:8: error: 'TKD3' was not declared in this scope
   case TKD3:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:68:8: error: 'TKD4' was not declared in this scope
   case TKD4:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:69:8: error: 'TKD5' was not declared in this scope
   case TKD5:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp: In member function 'uint8_t RobotControl::_topDPortToAPort(uint8_t)':
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:104:8: error: 'TKD0' was not declared in this scope
   case TKD0:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:106:8: error: 'TKD1' was not declared in this scope
   case TKD1:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:108:8: error: 'TKD2' was not declared in this scope
   case TKD2:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:110:8: error: 'TKD3' was not declared in this scope
   case TKD3:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:112:8: error: 'TKD4' was not declared in this scope
   case TKD4:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:114:8: error: 'TKD5' was not declared in this scope
   case TKD5:
        ^
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp: In member function 'int RobotControl::knobRead()':
/usr/share/arduino/libraries/Robot_Control/Sensors.cpp:236:22: error: 'POT' was not declared in this scope
  return ::analogRead(POT);
                      ^
make: *** [.build/mega2560/Robot_Control/Sensors.o] Error 1

Comment 1 Miro Hrončok 2014-06-24 12:41:38 UTC
Removing Robot_Control plugin from the package workarounds the problem.

Comment 2 Miro Hrončok 2014-09-24 11:24:49 UTC
Bump

Comment 3 Peter Oliver 2014-10-12 16:05:47 UTC
So, if I understand this correctly, there are two separate issues here?

1) When you try to build ultimaker2-marlin-firmware with ino, it (in some environments) pulls in Robot_Control even though Robot_Control is not necessary.
2) Robot_Control fails to build on Fedora.

Issue 1 sounds like it would be best directed at the ino developers in the first instance.  I see you've done that at https://github.com/amperka/ino/issues/179.  Fingers crossed they will come up with a solution.

As for issue 2, I get similar errors to you when trying to build the example R01_Logo sketch with the latest Arduino beta (1.5.8) as built by the Arduino project.  Have you tried reporting this upstream, too?

Comment 4 Miro Hrončok 2014-10-12 16:24:13 UTC
As for 2) I did not, as I'm not very familiar with the upstream here. If you already reported to arduino upstream, could you please do it? If not, I can look at it.

Comment 5 Fedora End Of Life 2015-05-29 12:12:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Miro Hrončok 2015-05-29 13:21:49 UTC
I believe this is still valid.

Comment 7 Jan Kurik 2015-07-15 14:39:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Fedora Admin XMLRPC Client 2015-11-19 21:00:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2015-11-23 18:01:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Update System 2015-12-25 21:23:04 UTC
arduino-1.6.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f52087759e

Comment 11 Fedora Update System 2015-12-29 00:56:05 UTC
arduino-1.6.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f52087759e

Comment 12 Fedora Update System 2015-12-31 08:14:56 UTC
arduino-1.6.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7e72969b8

Comment 13 Fedora Update System 2016-01-03 03:23:45 UTC
arduino-1.6.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7e72969b8


Note You need to log in before you can comment on or make changes to this bug.